Package org.silverpeas.mobile.shared.dto

## Class TaskDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.BaseDTO
  - - org.silverpeas.mobile.shared.dto.TaskDTO

- All Implemented Interfaces:
    `Serializable`

      public class TaskDTO
      extends BaseDTO

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getDelegator()` |
    `String` | `getEndDate()` |
    `String` | `getExternalId()` |
    `String` | `getName()` |
    `int` | `getPercentCompleted()` |
    `String` | `getPriority()` |
    `void` | `setDelegator​(String delegator)` |
    `void` | `setEndDate​(String endDate)` |
    `void` | `setExternalId​(String externalId)` |
    `void` | `setName​(String name)` |
    `void` | `setPercentCompleted​(int percentCompleted)` |
    `void` | `setPriority​(String priority)` |

    - ### Methods inherited from class org.silverpeas.mobile.shared.dto.BaseDTO

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskDTO

          public TaskDTO()

  - ### Method Detail

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### setPercentCompleted

          public void setPercentCompleted​(int percentCompleted)

    - #### setPriority

          public void setPriority​(String priority)

    - #### setDelegator

          public void setDelegator​(String delegator)

    - #### getDelegator

          public String getDelegator()

    - #### setEndDate

          public void setEndDate​(String endDate)

    - #### getEndDate

          public String getEndDate()

    - #### getPercentCompleted

          public int getPercentCompleted()

    - #### getPriority

          public String getPriority()

    - #### setExternalId

          public void setExternalId​(String externalId)

    - #### getExternalId

          public String getExternalId()